com.trilead.ssh2.crypto

## Class Base64

- java.lang.Object
- - com.trilead.ssh2.crypto.Base64

    public class Base64
    extends java.lang.Object

Basic Base64 Support.

### Constructor Summary

Constructors
Constructor and Description
`Base64()`

### Method Summary

Methods
`static byte[]` `decode(char[] message)`
`static char[]` `encode(byte[] content)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base64

    public Base64()

### Method Detail

#### encode

    public static char[] encode(byte[] content)

#### decode

    public static byte[] decode(char[] message)
                         throws java.io.IOException

Throws:
  `java.io.IOException`